package com.hzya.frame.u9c.itemmaster.entity;

import com.hzya.frame.web.entity.BaseEntity;
/**
 * (VU9cItemmaster)实体类
 *
 * @author xiaoguo
 * @since 2023-10-30 16:10:13
 */
public class VU9cItemmasterEntity extends BaseEntity {

    private String costType;//睿本云成本评估方法
    /**  物料编码*/
 private String code;
 //有效天数
 private String LotValidDate;
    /** 物料名称 */
 private String name;
    /**  分类ID*/
 private String categoryId;
    /**  分类编码*/
 private String classificationCode;
    /** 分类名称 */
 private String classificationName;
    /**  CRM类别ID*/
 private String crmCategoryId;
    /**  crmId*/
 private String crmId;
    /**  操作员ID*/
 private String operatorsId;
    /**  单位代码*/
 private String unitCode;
    /**  */
 private String dataId;
    /**  单位名称*/
 private String unitName;
    /**  规格*/
 private String specs;
    /**  suk码*/
 private String sukCode;
    /**  参考号2*/
 private String referenceCode;
    /**  料品形态属性*/
 private String materialForm;
    /**  可库存交易*/
 private String inventoryTransactions;
    /** 可采购 */
 private String procure;
    /** 可销售 */
 private String sale;
    /**  可生产*/
 private String produce;
    /**  可MRP*/
 private String mrp;
    /**  可BOM*/
 private String bom;
    /**  双单位 */
 private String doubleUnit;
    /**  多单位*/
 private String multiUnit;
    /**  固定转换率 */
 private String conversionRate;
    /**  可预留 */
 private String reserved;
    /**  批号参数 */
 private String batchNumber;
    /**  取价来源*/
 private String pricingSource;
    /**  收货程序*/
 private String receivingProcedure;
    /**  库存主单位*/
 private String inventoryMasterUnit;
 private String inventoryMasterUnitCode;//库存主单位编码
    private String inventoryMasterUnitZhl;//库存主单位转换率
    /**  库存单位*/
 private String inventoryUnit;
 private String inventoryUnitCode;//库存单位编码
    private String inventoryUnitZhl;//库存单位转换率
    /**  采购单位*/
 private String purchasingUnit;
 private String purchasingUnitCode;//采购单位编码
private String  inventoryPurchasingUnitZhl;//采购单位转换率
    /**  销售单位*/
 private String saleUnit;
 private String saleUnitCode;//销售单位编码
    private String  inventorySaleUnitZhl;//销售单位转换率
    /**  生产单位*/
 private String productionUnit;
    /**  领料单位*/
 private String materialRequisitionUnit;
    /**  计价单位*/
 private String pricingUnit;
    /**  重量单位*/
 private String weightUnit;
    /**  体积单位 */
 private String volumeUnit;
    /**  成本单位*/
 private String costUnit;
  private String   sale_price;//销售价
  private String   cost_price;//成本价
  private String   cost_price_spr;//销售价目表的单价，这个传到睿本云成本价
  private String   has_sale_item;//是否销售物料
  private String   has_weigh_item;//是否称重物料
  private String   proType;//产品大类
  private String   standardPrice;//标准价格
  private String   orgName;//所属公司
  private String   nameOrg;//
  private String   crmCostPrice;//crm成本价
    private String CRMSalesRate;//CRM销售换算率
    private String Effective_IsEffective;//U9料品状态  0停用  1启用

    public String getEffective_IsEffective() {
        return Effective_IsEffective;
    }

    public void setEffective_IsEffective(String effective_IsEffective) {
        Effective_IsEffective = effective_IsEffective;
    }

    public String getCRMSalesRate() {
        return CRMSalesRate;
    }

    public void setCRMSalesRate(String CRMSalesRate) {
        this.CRMSalesRate = CRMSalesRate;
    }

    public String getCrmCostPrice() {
        return crmCostPrice;
    }

    public void setCrmCostPrice(String crmCostPrice) {
        this.crmCostPrice = crmCostPrice;
    }

    public String getNameOrg() {
        return nameOrg;
    }

    public void setNameOrg(String nameOrg) {
        this.nameOrg = nameOrg;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getStandardPrice() {
        return standardPrice;
    }

    public void setStandardPrice(String standardPrice) {
        this.standardPrice = standardPrice;
    }

    public String getProType() {
        return proType;
    }

    public void setProType(String proType) {
        this.proType = proType;
    }

    public String getLotValidDate() {
        return LotValidDate;
    }

    public void setLotValidDate(String lotValidDate) {
        LotValidDate = lotValidDate;
    }

    /**  修改时间*/
 private String updatetime;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getClassificationCode() {
        return classificationCode;
    }

    public void setClassificationCode(String classificationCode) {
        this.classificationCode = classificationCode;
    }

    public String getClassificationName() {
        return classificationName;
    }

    public void setClassificationName(String classificationName) {
        this.classificationName = classificationName;
    }

    public String getCrmCategoryId() {
        return crmCategoryId;
    }

    public void setCrmCategoryId(String crmCategoryId) {
        this.crmCategoryId = crmCategoryId;
    }

    public String getCrmId() {
        return crmId;
    }

    public void setCrmId(String crmId) {
        this.crmId = crmId;
    }

    public String getOperatorsId() {
        return operatorsId;
    }

    public void setOperatorsId(String operatorsId) {
        this.operatorsId = operatorsId;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getSpecs() {
        return specs;
    }

    public void setSpecs(String specs) {
        this.specs = specs;
    }

    public String getSukCode() {
        return sukCode;
    }

    public void setSukCode(String sukCode) {
        this.sukCode = sukCode;
    }

    public String getReferenceCode() {
        return referenceCode;
    }

    public void setReferenceCode(String referenceCode) {
        this.referenceCode = referenceCode;
    }

    public String getMaterialForm() {
        return materialForm;
    }

    public void setMaterialForm(String materialForm) {
        this.materialForm = materialForm;
    }

    public String getInventoryTransactions() {
        return inventoryTransactions;
    }

    public void setInventoryTransactions(String inventoryTransactions) {
        this.inventoryTransactions = inventoryTransactions;
    }

    public String getProcure() {
        return procure;
    }

    public void setProcure(String procure) {
        this.procure = procure;
    }

    public String getSale() {
        return sale;
    }

    public void setSale(String sale) {
        this.sale = sale;
    }

    public String getProduce() {
        return produce;
    }

    public void setProduce(String produce) {
        this.produce = produce;
    }

    public String getMrp() {
        return mrp;
    }

    public void setMrp(String mrp) {
        this.mrp = mrp;
    }

    public String getBom() {
        return bom;
    }

    public void setBom(String bom) {
        this.bom = bom;
    }

    public String getDoubleUnit() {
        return doubleUnit;
    }

    public void setDoubleUnit(String doubleUnit) {
        this.doubleUnit = doubleUnit;
    }

    public String getMultiUnit() {
        return multiUnit;
    }

    public void setMultiUnit(String multiUnit) {
        this.multiUnit = multiUnit;
    }

    public String getConversionRate() {
        return conversionRate;
    }

    public void setConversionRate(String conversionRate) {
        this.conversionRate = conversionRate;
    }

    public String getReserved() {
        return reserved;
    }

    public void setReserved(String reserved) {
        this.reserved = reserved;
    }

    public String getBatchNumber() {
        return batchNumber;
    }

    public void setBatchNumber(String batchNumber) {
        this.batchNumber = batchNumber;
    }

    public String getPricingSource() {
        return pricingSource;
    }

    public void setPricingSource(String pricingSource) {
        this.pricingSource = pricingSource;
    }

    public String getReceivingProcedure() {
        return receivingProcedure;
    }

    public void setReceivingProcedure(String receivingProcedure) {
        this.receivingProcedure = receivingProcedure;
    }

    public String getInventoryMasterUnit() {
        return inventoryMasterUnit;
    }

    public void setInventoryMasterUnit(String inventoryMasterUnit) {
        this.inventoryMasterUnit = inventoryMasterUnit;
    }

    public String getInventoryUnit() {
        return inventoryUnit;
    }

    public void setInventoryUnit(String inventoryUnit) {
        this.inventoryUnit = inventoryUnit;
    }

    public String getPurchasingUnit() {
        return purchasingUnit;
    }

    public void setPurchasingUnit(String purchasingUnit) {
        this.purchasingUnit = purchasingUnit;
    }

    public String getSaleUnit() {
        return saleUnit;
    }

    public void setSaleUnit(String saleUnit) {
        this.saleUnit = saleUnit;
    }

    public String getProductionUnit() {
        return productionUnit;
    }

    public void setProductionUnit(String productionUnit) {
        this.productionUnit = productionUnit;
    }

    public String getMaterialRequisitionUnit() {
        return materialRequisitionUnit;
    }

    public void setMaterialRequisitionUnit(String materialRequisitionUnit) {
        this.materialRequisitionUnit = materialRequisitionUnit;
    }

    public String getPricingUnit() {
        return pricingUnit;
    }

    public void setPricingUnit(String pricingUnit) {
        this.pricingUnit = pricingUnit;
    }

    public String getWeightUnit() {
        return weightUnit;
    }

    public void setWeightUnit(String weightUnit) {
        this.weightUnit = weightUnit;
    }

    public String getVolumeUnit() {
        return volumeUnit;
    }

    public void setVolumeUnit(String volumeUnit) {
        this.volumeUnit = volumeUnit;
    }

    public String getCostUnit() {
        return costUnit;
    }

    public void setCostUnit(String costUnit) {
        this.costUnit = costUnit;
    }

    public String getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(String updatetime) {
        this.updatetime = updatetime;
    }

    public String getInventoryMasterUnitCode() {
        return inventoryMasterUnitCode;
    }

    public void setInventoryMasterUnitCode(String inventoryMasterUnitCode) {
        this.inventoryMasterUnitCode = inventoryMasterUnitCode;
    }

    public String getInventoryMasterUnitZhl() {
        return inventoryMasterUnitZhl;
    }

    public void setInventoryMasterUnitZhl(String inventoryMasterUnitZhl) {
        this.inventoryMasterUnitZhl = inventoryMasterUnitZhl;
    }

    public String getInventoryUnitCode() {
        return inventoryUnitCode;
    }

    public void setInventoryUnitCode(String inventoryUnitCode) {
        this.inventoryUnitCode = inventoryUnitCode;
    }

    public String getInventoryUnitZhl() {
        return inventoryUnitZhl;
    }

    public void setInventoryUnitZhl(String inventoryUnitZhl) {
        this.inventoryUnitZhl = inventoryUnitZhl;
    }

    public String getSale_price() {
        return sale_price;
    }

    public void setSale_price(String sale_price) {
        this.sale_price = sale_price;
    }

    public String getCost_price() {
        return cost_price;
    }

    public void setCost_price(String cost_price) {
        this.cost_price = cost_price;
    }

    public String getHas_sale_item() {
        return has_sale_item;
    }

    public void setHas_sale_item(String has_sale_item) {
        this.has_sale_item = has_sale_item;
    }

    public String getHas_weigh_item() {
        return has_weigh_item;
    }

    public void setHas_weigh_item(String has_weigh_item) {
        this.has_weigh_item = has_weigh_item;
    }

    public String getCost_price_spr() {
        return cost_price_spr;
    }

    public void setCost_price_spr(String cost_price_spr) {
        this.cost_price_spr = cost_price_spr;
    }

    public String getCostType() {
        return costType;
    }

    public void setCostType(String costType) {
        this.costType = costType;
    }

    public String getInventoryPurchasingUnitZhl() {
        return inventoryPurchasingUnitZhl;
    }

    public void setInventoryPurchasingUnitZhl(String inventoryPurchasingUnitZhl) {
        this.inventoryPurchasingUnitZhl = inventoryPurchasingUnitZhl;
    }

    public String getInventorySaleUnitZhl() {
        return inventorySaleUnitZhl;
    }

    public void setInventorySaleUnitZhl(String inventorySaleUnitZhl) {
        this.inventorySaleUnitZhl = inventorySaleUnitZhl;
    }

    public String getPurchasingUnitCode() {
        return purchasingUnitCode;
    }

    public void setPurchasingUnitCode(String purchasingUnitCode) {
        this.purchasingUnitCode = purchasingUnitCode;
    }

    public String getSaleUnitCode() {
        return saleUnitCode;
    }

    public void setSaleUnitCode(String saleUnitCode) {
        this.saleUnitCode = saleUnitCode;
    }
}

